Bug 608181 - [abrt] crash in exaile-0.3.1.1-1.fc13: <string>:32:parse:SyntaxError: mismatched tag: line 2, column 34
Summary: [abrt] crash in exaile-0.3.1.1-1.fc13: <string>:32:parse:SyntaxError: mismatc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dbadc665
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-25 21:34 UTC by Paul Smith
Modified: 2010-07-20 22:49 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 22:49:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.15 KB, text/plain)
2010-06-25 21:34 UTC, Paul Smith
no flags Details

Description Paul Smith 2010-06-25 21:34:01 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.5-124.fc13.x86_64
package: exaile-0.3.1.1-1.fc13
reason: <string>:32:parse:SyntaxError: mismatched tag: line 2, column 34
release: Fedora release 13 (Goddard)

backtrace
-----
<string>:32:parse:SyntaxError: mismatched tag: line 2, column 34

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/__init__.py", line 182, in open_url
    self.open_uri(url, play=False)
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/__init__.py", line 250, in open_uri
    self._open_uri(uri, play)
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/__init__.py", line 259, in _open_uri
    pl = playlist.import_playlist(uri)
  File "/usr/lib/python2.6/site-packages/exaile/xl/playlist.py", line 344, in import_playlist
    return import_from_asx(path)
  File "/usr/lib/python2.6/site-packages/exaile/xl/playlist.py", line 243, in import_from_asx
    tree = ETree.ElementTree(file=urllib.urlopen(path))
  File "/usr/lib64/python2.6/xml/etree/ElementTree.py", line 546, in __init__
    self.parse(file)
  File "<string>", line 32, in parse
SyntaxError: mismatched tag: line 2, column 34

Local variables in innermost frame:
source: <addinfourl at 140583570729584 whose fp = <socket._fileobject object at 0x7fdc29c9ba50>>
self: <__builtin__.ElementTree instance at 0x7fdc30064638>
parser: <XMLParser object at 0x7fdc2a3a2e70>

Comment 1 Paul Smith 2010-06-25 21:34:03 UTC
Created attachment 427001 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-29 16:38:46 UTC
exaile-0.3.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 3 Fedora Update System 2010-06-30 15:07:31 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 4 Fedora Update System 2010-07-20 22:48:55 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.